<template>
  <q-card flat bordered class="items-start">
    <q-card-section horizontal>
      <div class="q-pa-sm">
        <div class="text-h6"><span v-html="question.question"></span></div>
        <div class="text-subtitle2">Creado el {{question.createdAt}}</div>
      </div>
      <div v-if="copyable || replaceable" class="col-auto">
        <q-btn color="grey-7" round flat icon="more_vert">
          <q-menu cover auto-close>
            <q-list>
              <q-item clickable v-if="copyable" v-on:click="copyQuestion">
                <q-item-section>Copiar pregunta</q-item-section>
              </q-item>
              <q-item clickable v-if="replaceable" v-on:click="replaceQuestion">
                <q-item-section>Reemplazar sugerencia</q-item-section>
              </q-item>
            </q-list>
          </q-menu>
        </q-btn>
      </div>
    </q-card-section>
    <q-separator inset />
    <q-card-section class="q-pt-none">
      <div
      v-for="(answer, index) in question.answers"
      v-bind:key="index"
      >
        <div v-if="answer.correct" class="text-body1"> <q-icon name="assignment_turned_in" class="text-positive"/> Correcta: {{answer.textAnswer}} </div>
        <div v-if="!answer.correct" class="text-body1"> <q-icon name="assignment_late" class="text-negative"/> Incorrecta: {{answer.textAnswer}} </div>
      </div>
    </q-card-section>
</q-card>
</template>

<script>
export default {
  name: 'QuestionCard',
  props: ['question', 'copyable', 'replaceable'],
  // TODO: indicador del tipo de pregunta.
  methods: {
    copyQuestion () {
      this.$emit('copyQuestion', this.question)
    },
    replaceQuestion () {
      this.$emit('replaceQuestion', this.question)
    }
  }
}
</script>
